strtol
Prev | Orchestra Opcodes and Operators | Next

## strtol

strtol — Converts a string to a signed integer (i-rate).

## Description

Convert a string to a signed integer value. It is also possible to pass an strset index or a string p-field from the score instead of a string argument. If the string cannot be parsed as a floating point or integer number, an init or perf error occurs and the instrument is deactivated.

## Syntax

    ir strtol Sstr

    ir strtol indx

## Initialization

Sstr -- String to convert.

indx -- index of string set by strset

strtol can parse numbers in decimal, octal (prefixed by 0), and hexadecimal (with a prefix of 0x) format.

## Performance

ir -- Value of string as signed integer.

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
strtodk | Home | strtolk